Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gnome global menu applet won't compile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
aleray
n00b
n00b


Joined: 24 Oct 2007
Posts: 24

PostPosted: Fri May 30, 2008 2:02 pm    Post subject: gnome global menu applet won't compile Reply with quote

Hi,

I'm trying to re-install the global menu applet which does'nt want to run anymore after I uninstalled xfce (I had xfce + gnome, but I was only running gnome).

I followed the instructions for Gentoo : http://code.google.com/p/gnome2-globalmenu/wiki/InstallOnGentoo

Using this command line to explicitly avoid the xfce-plugin
Code:
EXTRA_ECONF="--enable-tracing=no --enable-xfce-plugin=no --enable-maintainer-mode=no" emerge =gnome-extra/gnome2-globalmenu-applet-0.3.9999
the compilation still fails :

Code:

...
checking for GNOME2_GLOBALMENU_APPLET... configure: error: Package requirements (gtk+-2.0 >= 2.8 libwnck-1.0 libpanelapplet-2.0 gdk-2.0 bonobo-activation-2.0 libxfce4panel-1.0) were not met:

No package 'libxfce4panel-1.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GNOME2_GLOBALMENU_APPLET_CFLAGS
and GNOME2_GLOBALMENU_APPLET_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/gnome-extra/gnome2-globalmenu-applet-0.3.9999/work/gnome2-globalmenu-applet-0.3.9999/config.log
 *
 * ERROR: gnome-extra/gnome2-globalmenu-applet-0.3.9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2742:  Called gnome2_src_compile
 *             environment, line 2127:  Called gnome2_src_configure
 *             environment, line 2141:  Called econf
 *               ebuild.sh, line  513:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/gnome-extra/gnome2-globalmenu-applet-0.3.9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/gnome2-globalmenu-applet-0.3.9999/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

 * Messages for package gnome-extra/gnome2-globalmenu-applet-0.3.9999:

 *
 * ERROR: gnome-extra/gnome2-globalmenu-applet-0.3.9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2742:  Called gnome2_src_compile
 *             environment, line 2127:  Called gnome2_src_configure
 *             environment, line 2141:  Called econf
 *               ebuild.sh, line  513:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/gnome-extra/gnome2-globalmenu-applet-0.3.9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/gnome2-globalmenu-applet-0.3.9999/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *


I don't understand : I'm not using xfce anymore and I don't want to install xfce library. Could you help me ?

Thanks
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2843

PostPosted: Fri May 30, 2008 2:07 pm    Post subject: Reply with quote

Try to edit ebuild and remove "libxfce4panel-1.0" from deps.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
aleray
n00b
n00b


Joined: 24 Oct 2007
Posts: 24

PostPosted: Fri May 30, 2008 2:15 pm    Post subject: Reply with quote

Hey,

thanks but I can't find the dep in the ebuild :

Code:
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit gnome2 subversion autotools

ESVN_REPO_URI="http://gnome2-globalmenu.googlecode.com/svn/branches/0.3/${PN}"

DESCRIPTION="Global menubar applet for Gnome2."
HOMEPAGE="http://code.google.com/p/gnome2-globalmenu/"
SRC_URI=""

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="x11-libs/gtk+
   x11-libs/libwnck"

RDEPEND="${DEPEND}"

S="${WORKDIR}/${PN}-${PV}"

src_compile() {
   ./autogen.sh --prefix=/usr --sysconfdir=/etc
   gnome2_src_compile
}

src_install() {
   gnome2_src_install
   cp -a GNOME_GlobalMenuApplet.server.sample GNOME_GlobalMenuApplet.server
   sed -i "s;APP_LOCATION;/usr/libexec;" GNOME_GlobalMenuApplet.server
   insinto /usr/lib/bonobo/servers
   doins GNOME_GlobalMenuApplet.server
}

pkg_postinst() {
   gnome2_pkg_postinst

   ewarn "DO NOT report bugs to Gentoo's bugzilla"
   einfo "Thank you"
}
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum